Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.apps.groupspace.content
Interface ContentFactory<T extends ContentBase>

All Known Implementing Classes:
  CmBrowserContentBaseFactory, ContentBaseFactory, ContentFactoryImpl

    public interface ContentFactory<T extends ContentBase>

Copyright (c) 2005-2006 by BEA Systems, Inc. All Rights Reserved.

Method Summary
`T` | `createContentWrapper(Node nodeToWrap, Class<T> typeConstraint)` Creates a thing of Type T that wraps the provided node;
`T` | `createContentWrapper(String cmTypeName, Class<T> typeConstraint)` Creates a thing of Type T corresponding to the cmTypeName provided

Method Detail

### createContentWrapper

    T createContentWrapper(Node nodeToWrap,
                           Class<T> typeConstraint)
                                               throws InstantiationException,
                                                      IllegalAccessException

  Creates a thing of Type T that wraps the provided node;

  Parameters
    `nodeToWrap` - - CM node to be wrapped within a ContentBase object
    `typeConstraint` - - Class that represents the minimum class supported; same as T for homogenious, same as class that T must extend for heterogenious
  Returns
    instance of T that wraps the node
  Throws
    `InstantiationException` - - from call to constructor via reflection
    `IllegalAccessException` - - from call to constructor via reflection

### createContentWrapper

    T createContentWrapper(String cmTypeName,
                           Class<T> typeConstraint)
                                               throws InstantiationException,
                                                      IllegalAccessException

  Creates a thing of Type T corresponding to the cmTypeName provided

  Parameters
    `cmTypeName` - - type name for which a wrapper is needed
    `typeConstraint` - - Class that represents the minimum class supported; same as T for homogenious, same as class that T must extend for heterogenious
  Returns
    instance of T that wraps the node
  Throws
    `InstantiationException` - - from call to constructor via reflection
    `IllegalAccessException` - - from call to constructor via reflection

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved